Skip to main content
PUT
/
invoices
/
{invoiceId}
/
price-update
Update Invoice Prices
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/invoices/{invoiceId}/price-update \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "line_items": [
    {
      "id": 1,
      "line_components": [
        {
          "id": 1,
          "unit_cost": "10",
          "unit_price": "10"
        }
      ]
    },
    {
      "id": 2,
      "line_components": [
        {
          "id": 2,
          "unit_cost": "20",
          "unit_price": "20"
        }
      ]
    }
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Path Parameters

invoiceId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response